%define name	gengameng
%define version 4.1
%define release 7mdk
%define lib_name_orig libgengameng
%define lib_major 4
%define lib_name %{lib_name_orig}%{lib_major}

Summary:	A Generic Game Engine library for 2D double-buffering animation
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
Source:		%{name}-%{version}.tar.bz2
Patch0:		%{name}-installfix.patch.bz2
URL:		http://www3.sympatico.ca/sarrazip/dev/burgerspace.html#download
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libSDL1.2-devel >= 1.2.0
BuildRequires:	libSDL_image1.2-devel >= 1.2.0
BuildRequires:	libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:	XFree86-devel

%description
Generic Game Engine library suitable for BurgerSpace and Cosmosmash.

%package -n %{lib_name}
Summary: Main library for gengameng
Group: System/Libraries
#Provides: %{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the main library for gengameng.

%package -n %{lib_name}-devel
Summary: C++ header files for the gengameng library.
Group: Development/C++
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
C++ header files for the Generic Game Engine ("gengameng") library
for 2D double-buffering animation.


%prep
%setup -q
%patch0 -p0

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}/


%files -n %{lib_name}
%defattr(-,root,root)
%_libdir/*.so.*
%doc README AUTHORS NEWS COPYING INSTALL

%files -n %{lib_name}-devel
%defattr(-,root,root)
%_bindir/*
%_includedir/*
%_libdir/*.la
%_libdir/*.so
%doc COPYING 
%_datadir/aclocal/*

%changelog
* Mon Mar 17 2003 Marcel Pol <mpol@gmx.net> 4.1-7mdk
- fix buildrequires

* Sat Mar 15 2003 Marcel Pol <mpol@gmx.net> 4.1-6mdk
- buildreq: libjpeg-devel

* Tue Mar 11 2003 Marcel Pol <mpol@gmx.net> 4.1-5mdk
- buildreq: libSDL_image1.2-devel

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 4.1-4mdk
- rebuild

* Sun Nov 24 2002 Per yvind Karlsen <peroyvind@sintrax.net> 4.1-3mdk
- don't hardcore target at all (Patch #0)
- silent setup
- rm -rf buildroot in install instead of prep, and also drop unneeded checks

* Sun Nov 24 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.0-2mdk
- don't hardcore arch in binary name

* Fri Nov 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.0-1mdk
- 4.1
- from Marcel Pol <mpol@gmx.net> :
	- Mandrake build
	- s/Copyright/License
	- BuildRequires libSDL1.2-devel >= 1.2.0 libSDL_image1.2 >= 1.2.0
	- libified packages
